MCP Gateway
ApiSandboxes

Exec Command

Execute a command in a running sandbox.

POST
/api/v1/sandboxes/{sandbox_id}/exec

Authorization

User API Key
AuthorizationBearer <token>

User API key (mgw_usr_live_* or mgw_usr_test_*)

In: header

Path Parameters

sandbox_id*string
Formatuuid
access_token?|

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/sandboxes/497f6eca-6276-4993-bfeb-53cbbbba6f08/exec" \  -H "Content-Type: application/json" \  -d '{    "command": "string"  }'
{
  "exit_code": 0,
  "stdout": "",
  "stderr": "",
  "duration_ms": 0,
  "files_changed": [
    {
      "path": "string",
      "action": "string",
      "size_bytes": 0
    }
  ]
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}